export interface TokenSession {
    data: any;
    time: number;
    life: number;
}
export declare class Token {
    private secret;
    private timeout;
    constructor(secret: string, timeout: number);
    sign(data: any): string;
    make(data: any): string;
    check(token: string): TokenSession | undefined;
}
export interface CodeSession {
    type: string;
    to: string;
    code: string;
    time: number;
    life: number;
}
export declare class Code {
    private length;
    private timeout;
    private sessions;
    private interval;
    constructor(length: number, timeout: number);
    make(type: string, to: string): string;
    check(type: string, to: string): CodeSession | undefined;
    clear(): void;
}
export interface KeySession {
    key: string;
    data: any;
    time: number;
    life: number;
}
export declare class Key {
    private length;
    private timeout;
    private sessions;
    private interval;
    constructor(length: number, timeout: number);
    make(data: any): string;
    check(key: string): KeySession;
    clear(): void;
}
//# sourceMappingURL=authes.d.ts.map