/// <reference types="node" />
import query from 'querystring';
export type HttpHeaders = {
    [key: string]: string | number;
};
export interface HttpRequestOptions {
    hostname?: string;
    port?: string;
    socketPath?: string;
    headers?: HttpHeaders;
    safe?: boolean;
    method?: 'GET' | 'POST';
    path?: string;
    timeout?: number;
}
export interface HttpResponseOptions {
    status: number;
    headers: HttpHeaders;
    content: any;
}
export declare function isHttps(url: string): boolean;
export declare function combineUrlAndParams(url: string, data: query.ParsedUrlQueryInput): string;
export declare function sign(data: object, secret: string): string;
//# sourceMappingURL=basic.d.ts.map