import koa from 'koa';
import koaRouter from 'koa-router';
export type WebMiddleWare = (ctx: any, next: any) => any;
export interface WebAppArgs {
    name: string;
    host: string;
    port: number;
    https_host?: string;
    https_port?: number;
    https_cert?: string;
    https_key?: string;
    https_hsts?: boolean;
    http2?: boolean;
    log?: boolean;
    cors?: boolean;
    proxy?: boolean;
    body?: boolean | object | WebMiddleWare;
    ping?: boolean;
}
export declare class WebApp extends koa {
    listenSafely: (...args: any) => void;
    static: (...args: any) => void;
    route: (func: (router: koaRouter) => void) => void;
    start: () => void;
}
export declare const webapp: (args: WebAppArgs) => WebApp;
export declare const body: (options: object) => WebMiddleWare;
export declare const send: (ctx: any, arg1: any, arg2?: any) => void;
export type SendFileOptions = {
    brotli: boolean;
    gzip: boolean;
    maxAge: number;
    immutable: boolean;
};
export declare const sendFile: (ctx: any, filepath: string, options: SendFileOptions) => Promise<void>;
export declare const handler: (func: (args: object) => any) => WebMiddleWare;
//# sourceMappingURL=server.d.ts.map