export type MySqlOptions = {
    host: string;
    port: number;
    user: string;
    password: string;
    database: string;
    charset?: string;
};
export declare class Connection {
    private conn;
    constructor(conn: any);
    query(sql: string, logsql?: boolean): Promise<any>;
    page(sql: string, page: number, size: number): Promise<any>;
    transaction(): Promise<void>;
    commit(): Promise<void>;
    rollback(): Promise<void>;
    release(): void;
}
export declare class MySql {
    private pool;
    init(options: MySqlOptions): Promise<void>;
    connect(): Promise<Connection>;
    transaction(): Promise<Connection>;
    query(sql: string, logsql?: boolean): Promise<any>;
    page(sql: string, page: number, size: number): Promise<any>;
}
export declare const instance: MySql;
export declare const init: (options: MySqlOptions) => Promise<void>;
export declare const connect: () => Promise<Connection>;
export declare const transaction: () => Promise<Connection>;
export declare const query: (sql: string, logsql?: boolean) => Promise<any>;
export declare const page: (sql: string, page: number, size: number) => Promise<any>;
//# sourceMappingURL=mysql.d.ts.map