export declare const MS_PER_SECOND = 1000;
export declare const MS_PER_MINUTE = 60000;
export declare const MS_PER_HOUR = 3600000;
export declare const MS_PER_DAY = 86400000;
export declare const MS_PER_WEEK: number;
export declare class Duration {
    private duration;
    constructor(duration: number);
    get value(): number;
    get accurateMilliseconds(): number;
    get accurateSeconds(): number;
    get accurateMinutes(): number;
    get accurateHours(): number;
    get accurateDays(): number;
    get accurateMonths(): number;
    get accurateYears(): number;
    get milliseconds(): number;
    get seconds(): number;
    get minutes(): number;
    get hours(): number;
    get days(): number;
    get months(): number;
    get years(): number;
}
export declare class TimeSpan {
    private _begin;
    private _end;
    private _duration;
    constructor(begin: number, end: number);
    get begin(): number;
    get end(): number;
    get duration(): Duration;
    include(timePoint: TimePoint): boolean;
    expand(timePoint: TimePoint): TimeSpan;
}
export type DateTime = {
    year: number;
    month: number;
    date: number;
    day: number;
    hour: number;
    minute: number;
    second: number;
    ms: number;
};
export declare class TimePoint {
    private timestamp;
    private now;
    constructor(timestamp?: number);
    get value(): number;
    get dateTime(): DateTime;
    get UTCTime(): DateTime;
    toString(fmt?: string): string;
    add(duration: Duration): TimePoint;
    sub(duration: Duration): TimePoint;
    from(beginPoint: TimePoint): TimeSpan;
    to(endPoint: TimePoint): TimeSpan;
    get thisSecond(): TimeSpan;
    get thisMinute(): TimeSpan;
    get thisHour(): TimeSpan;
    get thisDay(): TimeSpan;
    get thisWeek(): TimeSpan;
    get thisMonth(): TimeSpan;
    get thisYear(): TimeSpan;
    static now(): TimePoint;
    static utc(dateTime: DateTime): TimePoint;
    static parse(str: any, defaultTimeZone?: string): TimePoint;
}
export declare const duration: (ms: number) => Duration;
export declare const span: (begin: number | TimePoint, end: number | TimePoint) => TimeSpan;
export declare const point: (timestamp: number) => TimePoint;
export declare const now: () => TimePoint;
export declare const utc: (dateTime: DateTime) => TimePoint;
export declare const parse: (str: any, defaultTimeZone?: string) => TimePoint;
export declare const add: (timePoint: TimePoint, duration: Duration) => TimePoint;
export declare const sub: (timePoint: TimePoint, duration: Duration) => TimePoint;
//# sourceMappingURL=time.d.ts.map